MonoMac 0.0.0.0 System.ValueType System.IEquatable<MonoMac.OpenGL.Vector3h> System.Runtime.Serialization.ISerializable 3-component Vector of the Half type. Occupies 6 Byte total. To be added.
- Constructor
  0.0.0.0
  The value that will initialize this instance.
  Constructs a new instance.
  To be added.
- Constructor
  0.0.0.0
  System.CLSCompliant(false)
  OpenTK.Vector3
  The new Half3 instance will convert the Vector3 into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  OpenTK.Vector3
  The new Half3 instance will convert the Vector3 into 16-bit half-precision floating-point. This is the fastest constructor.
  To be added.
- Constructor
  0.0.0.0
  OpenTK.Vector3d
  The new Half3 instance will convert the Vector3d into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  System.CLSCompliant(false)
  OpenTK.Vector3d
  The new Half3 instance will convert the Vector3d into 16-bit half-precision floating-point. This is the faster constructor.
  To be added.
- Constructor
  0.0.0.0
  The value that will initialize this instance.
  Constructs a new instance.
  To be added.
- Constructor
  0.0.0.0
  System.CLSCompliant(false)
  OpenTK.Vector3
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half3 instance will convert the Vector3 into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  OpenTK.Vector3
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half3 instance will convert the Vector3 into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  OpenTK.Vector3d
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half3 instance will convert the Vector3d into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  System.CLSCompliant(false)
  OpenTK.Vector3d
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half3 instance will convert the Vector3d into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  Constructor used by ISerializable to deserialize the object.
  To be added.
- Constructor
  0.0.0.0
  An Half instance of a 16-bit half-precision floating-point number.
  An Half instance of a 16-bit half-precision floating-point number.
  An Half instance of a 16-bit half-precision floating-point number.
  The new Half3 instance will avoid conversion and copy directly from the Half parameters.
  To be added.
- Constructor
  0.0.0.0
  32-bit single-precision floating-point number.
  32-bit single-precision floating-point number.
  32-bit single-precision floating-point number.
  The new Half3 instance will convert the 3 parameters into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  32-bit single-precision floating-point number.
  32-bit single-precision floating-point number.
  32-bit single-precision floating-point number.
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half3 instance will convert the 3 parameters into 16-bit half-precision floating-point.
  To be added.
- Method
  0.0.0.0
  System.Boolean `` OpenTK.Half3 to compare to this instance.. Returns a value indicating whether this instance is equal to a specified OpenTK.Half3 vector. True, if other is equal to this instance; false otherwise. To be added.
- Method
  0.0.0.0
  System.Void `` A BinaryReader instance associated with an open Stream. Updates the X,Y and Z components of this instance by reading from a Stream. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3h `` `` A Half3 in it's byte[] representation. The starting position within value. Converts an array of bytes into Half3. A new Half3 instance. To be added.
- Method
  0.0.0.0
  System.Byte[] `` The Half3 to convert. Returns the Half3 as an array of bytes. The input as byte array. To be added.
- Method
  0.0.0.0
  System.Void `` `` Used by ISerialize to serialize the object. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3h `` The Vector3 to convert. Converts OpenTK.Vector3 to OpenTK.Half3. The resulting Half vector. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3h `` The Vector3d to convert. Converts OpenTK.Vector3d to OpenTK.Half3. The resulting Half vector. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3 `` The Half3 to convert. Converts OpenTK.Half3 to OpenTK.Vector3. The resulting Vector3. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` The Half3 to convert. Converts OpenTK.Half3 to OpenTK.Vector3d. The resulting Vector3d. To be added.
- Field
  0.0.0.0
  System.Int32 The size in bytes for an instance of the Half3 struct is 6. To be added.
- Method
  0.0.0.0
  System.Void `` A BinaryWriter instance associated with an open Stream. Writes the X,Y and Z components of this instance into a Stream. To be added.
- Method
  0.0.0.0
  System.String Returns a string that contains this Half3's numbers in human-legible form. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3 Returns this Half3 instance's contents as Vector3. OpenTK.Vector3 To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d Returns this Half3 instance's contents as Vector3d. To be added. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Half The X component of the Half3. To be added.
- Property
  0.0.0.0
  System.Xml.Serialization.XmlIgnore
  MonoMac.OpenGL.Vector2h Gets or sets an OpenTK.Vector2h with the X and Y components of this instance. To be added. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Half The Y component of the Half3. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Half The Z component of the Half3. To be added.